/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Articulo;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderArticulo implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Articulo articulo = (Articulo) o;

        Listcell lc = new Listcell(articulo.getArticuloId().toString());
        lc.setParent(lstm);

        lc = new Listcell(articulo.getDescarticulo());
        lc.setParent(lstm);

        lstm.setAttribute("data", articulo);
    }
}
